<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>date</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Formatiert ein bestehendes Datum bzw. Zeit">
<meta name="keywords"       content="SELFPHP, PHP, Datums- und Zeit-Funktionen, date">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-06T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/datums_und_zeit_funktionen/date.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-06T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Datums- und Zeit-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Datums- und Zeit-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>date</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">string <b>date</b>(string format [, 
      int timestamp])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="544">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit date() kann man eine Zeitangabe formatieren oder auswerten. Die Zeitangabe<br>
        &uuml;bergeben Sie im Parameter timestamp. Lassen Sie diesen Parameter 
        leer, nimmt<br>
        die Funktion die aktuelle Zeit.<br>
        Der Parameter format ist ein String, der festlegt, welche Informationen 
        &uuml;ber die<br>
        Zeitangabe Sie ben&ouml;tigen. In diesem String sind folgende Platzhalter 
        m&ouml;glich (*:<br>
        Ausgabe mit f&uuml;hrenden Nullen):<br>
        a - &quot;am&quot; oder &quot;pm&quot;<br>
        A - &quot;AM&quot; oder &quot;PM&quot;<br>
        B - Swatch-Internet-Zeit<br>
        d - Tag des Monats *( 01 - 31 )<br>
        D - Tag der Woche ( Wed - 3stellig)<br>
        F - Monatsangabe ( December - ganzes Wort )<br>
        g - Stunde im 12-Stunden-Format (1-12 )<br>
        G - Stunde im 24-Stunden-Format (0-23 )<br>
        h - Stunde im 12-Stunden-Format *(01-12 )<br>
        H - Stunde im 24-Stunden-Format *(00-23 )<br>
        i - Minuten *( 00-59 )<br>
        I(gro&szlig;es i) - 1 bei Sommerzeit, 0 bei Winterzeit<br>
        j - Tag des Monats ( 1-31 )<br>
        l(kleines L) - ausgeschriebener Wochentag ( Monday )<br>
        L - Schaltjahr = 1 , kein Schaltjahr = 0<br>
        m - Monat *(01-12 )<br>
        n - Monat (1-12 )<br>
        M - Monatsangabe ( Feb - 3stellig )<br>
        r - Nach RFC 822 formattiertes Datum; z.B.: "Sun, 7 Oct 2001 14:56:02 +0200"<br>
        s - Sekunden *( 00 - 59 ) <br>
        S - Englische Aufz&auml;hlung ( th f&uuml;r 2(second))<br>
        t - Anzahl der Tage des Monats ( 28 - 31 )<br>
        T - Zeitzoneneinstellung des Rechners ( z.B. CEST )<br>
        U - Sekunden seit Beginn der UNIX-Epoche ( 1.1.1970 )<br>
        w - Wochentag ( 0(Sonntag) bis 6(Samstag) )<br>
        W - ISO-8601 Wochennummer des Jahres (Woche beginnt mit Montag)<br>
        Y - Jahreszahl , vierstellig ( 2001 )<br>
        y - Jahreszahl , zweistellig ( 01 )<br>
        z - Tag des Jahres ( z.B. 148 (entspricht 29.05.2001) )<br>
        Z - Offset der Zeitzone gegen&uuml;ber GMT (-43200 - 43200 ) in Minuten</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="gmdate.html">gmdate()</a></li>
        <li><a href="mktime.html">mktime()</a></li>
        <li><a href="microtime.html">microtime()</a></li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>echo date(&quot;d M Y&quot;) . &quot;&lt;br&gt;&quot;;<br>echo date(&quot;Y m d&quot;) . &quot;&lt;br&gt;&quot;;<br>echo date(&quot;d n y&quot;) . &quot;&lt;br&gt;&quot;;<br>echo date(&quot;D, d m Y&quot;) . &quot;&lt;br&gt;&quot;;<br>echo date(&quot;l, d m Y&quot;) . &quot;&lt;br&gt;&quot;;<br>echo date(&quot;l dS of F Y h:i:s A&quot;) . &quot;&lt;br&gt;&quot;;<br>echo &quot;Dieser Monat hat &quot; . date(t) . &quot; Tage&quot;;<br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>29 May 2001<br>
        2001 05 29<br>
        29 5 01<br>
        Tue, 29 05 2001<br>
        Tuesday, 29 05 2001<br>
        Tuesday 29th of May 2001 06:20:57 AM<br>
        Dieser Monat hat 31 Tage</p>
      </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="getdate.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="getdate.html"><b>getdate</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="checkdate.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="checkdate.html"><b>checkdate</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Datums- und Zeit-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>